$(document).ready(function() {

	//fix the opened menu

	$("#main-nav .submenu.active").addClass("opened");
	$("#main-nav .submenu.active ul").show();


	// submenu navigation
    $('.submenu div').click(function () {
        var btn = $(this).parent();

		if (btn.hasClass("opened")){
			btn.find("ul").slideUp();
			btn.removeClass("opened");
		} else {			

			$('.submenu:not(.active)').removeClass("opened");
			$('.submenu:not(.active)').find("ul").slideUp();
			btn.find("ul").slideDown();
			btn.addClass("opened");

		}
      });




	function mainHeight() {
		$("#main-nav").each(function() {
			var windowHeight = $(window).height();
			$(this).css("height", windowHeight - 50);
		});
	}

	//mainHeight();

	$(window).resize(function() {
		//mainHeight();
	});


	$(".navbar-toggle").click(function() {
		$("#main-nav").toggleClass("active");

		if ($(".rightSection").hasClass("active")) {
			$(".rightSection").removeClass("active");
			$("body").removeClass("fixed");

			setTimeout(function() {
				//$(".rightSection").width("auto");
			} , 500);
		} else {
			//$(".rightSection").width($(".rightSection").width() + "px" );
			$(".rightSection").addClass("active");
			$("body").addClass("fixed");
		}

		$(this).children(".icon-bar").toggleClass("active-bg");
	});


	$(".rightSection").click(function(){
		if ($(this).hasClass("active")) {
			$(this).removeClass("active");
			$("#main-nav").removeClass("active");
		}
	});



});